class Panel::Gallery::BackEnd::AlbumImagesController < OrbitBackendController
	include AdminHelper

	# before_filter :force_order_for_visitor,:only=>[:index]
	# before_filter :force_order_for_user#,:except => [:index]

	def show
		@tags = get_tags
		@image = AlbumImage.find(params[:id])
		@albumid = @image.album_id
		@album = Album.find(@albumid)
		@images = @album.album_images.all
	end


	def destroy
		images = params['images']
		images.each do |image|
			img = AlbumImage.find(image)
			img.delete
		end
		if params['delete_cover'] == "true"
			album = Album.find(params['id'])
			album.update_attributes(:cover=>"default",:cover_path => nil)
		end
		render :json =>{"success"=>true}.to_json
	end

	def update_image
		image = AlbumImage.find(params[:image_id])
		image.update_attributes(params[:album_image])
		image.save!
		@album = Album.find(image.album_id.to_s)
		@images = @album.album_images
	    @image_content = []
	    @images.each do |image|
	      @image_content << {"id" => image.id.to_s, "description" => image.description_translations,"tags" => image.tagged_ids}
	    end
	    render :json => @image_content.to_json
	end

	def delete_photos
		images = params['images']
		images.each do |image|
			img = AlbumImage.find(image)
			img.delete
		end
		if params['delete_cover'] == "true"
			album = Album.find(params['album_id'])
			album.update_attributes(:cover=>"default",:cover_path => nil)
		end
		render :json =>{"success"=>true}.to_json
	end

	def image_tagging
		images = params[:image_ids]
		tags = params[:tag_ids] || []
		i = nil
		images.each do |image|
			img = AlbumImage.find(image)
			img.tagged_ids = tags
			img.save
			i = img
		end
		@album = Album.find(i.album_id.to_s)
		@images = @album.album_images
	    @image_content = []
	    @images.each do |image|
	      @image_content << {"id" => image.id.to_s, "description" => image.description_translations,"tags" => image.tagged_ids}
	    end
		render :json=>@image_content.to_json
	end

end